Bug 12753 - Создаёт левые конфигурационные файлы в /usr в процессе работы, которые ломают конфигурацию hal
: Создаёт левые конфигурационные файлы в /usr в процессе работы, которые ломают...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gparted)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-09-12 00:31 by
Modified: 2008-08-23 18:57 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-09-12 00:31:46
src/GParted_Core.cc:

GParted_Core::GParted_Core() 
{
...
	//disable automount //FIXME: temporary hack, till i find a better solution...
	std::ofstream fdi_file(
"/usr/share/hal/fdi/policy/gparted-disable-automount.fdi" ) ;
	if ( fdi_file )
	{
		fdi_file << "<deviceinfo version='0.2'>" ;
		fdi_file << "<device>" ;
		fdi_file << "<match key='@block.storage_device:storage.hotpluggable'
bool='true'>" ;
		fdi_file << "<merge key='volume.ignore' type='bool'>true</merge>" ;
		fdi_file << "</match>" ;
		fdi_file << "</device>" ;
		fdi_file << "</deviceinfo>" ;

		fdi_file .close() ;
	}	
...
}

...

GParted_Core::~GParted_Core() 
{
...
	//remove .fdi file..
	remove( "/usr/share/hal/fdi/policy/gparted-disable-automount.fdi" ) ;
}

И после аварийного завершения перестают автомонтироваться сменные носители...
------- Comment #1 From 2007-09-13 04:24:03 -------
Какие будут предложения?
1) Просто убрать это
2) Блокировать автомонтирование на время работы gparted через 
libhal_acquire_global_interface_lock() и линковать gparted с libhal.so
3) Сделать п.2 отциональным при сборке (--with-libhal)
?
------- Comment #2 From 2007-09-13 09:30:25 -------
Можно сразу unlink сделать на этот файл, после его создания. реально он 
удалится после закрытия файла или при вылете программы.  
------- Comment #3 From 2007-09-13 14:02:58 -------
(In reply to comment #2)
> Можно сразу unlink сделать на этот файл, после его создания. реально он 
> удалится после закрытия файла или при вылете программы.  

Его вообще там нельзя создавать.
------- Comment #4 From 2007-09-17 01:31:33 -------
fixed in gparted-0.3.3-alt7